from conan import ConanFile
from conan.tools.cmake import cmake_layout, CMake


class Emerald(ConanFile):
    settings = 'os', 'compiler', 'build_type', 'arch'
    generators = 'CMakeToolchain', 'CMakeDeps'

    def requirements(self):
        self.requires('sdl/2.28.3')
        self.requires('sdl_image/2.6.3')
        self.requires('sdl_ttf/2.20.2')

    def build_requirements(self):
        self.tool_requires('cmake/3.22.6')

    def layout(self):
        cmake_layout(self)

    def build(self):
        cmake = CMake(self)
        cmake.configure()
        cmake.build()
